net.dontdrinkandroot.wicketexample.entity

## Class TestEntity

- java.lang.Object
- - net.dontdrinkandroot.persistence.entity.AbstractEntity<Long>
  - - net.dontdrinkandroot.persistence.entity.GeneratedLongIdEntity
    - - net.dontdrinkandroot.wicketexample.entity.TestEntity

All Implemented Interfaces:
  Serializable, net.dontdrinkandroot.persistence.entity.Entity<Long>

    @Entity
    public class TestEntity
    extends net.dontdrinkandroot.persistence.entity.GeneratedLongIdEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `TestEntity()`
`` `TestEntity(Integer integerField, String stringField)`

### Method Summary

Methods
`Integer` `getIntegerField()`
`String` `getStringField()`
`void` `setIntegerField(Integer integerField)`
`void` `setStringField(String stringField)`

### Methods inherited from class net.dontdrinkandroot.persistence.entity.GeneratedLongIdEntity

`getId, setId`

### Methods inherited from class net.dontdrinkandroot.persistence.entity.AbstractEntity

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestEntity

    protected TestEntity()

#### TestEntity

    public TestEntity(Integer integerField,
              String stringField)

### Method Detail

#### getStringField

    public String getStringField()

#### getIntegerField

    public Integer getIntegerField()

#### setStringField

    public void setStringField(String stringField)

#### setIntegerField

    public void setIntegerField(Integer integerField)